Index: trunk/FanartHandler/FanartHandler.cs
===================================================================
--- trunk/FanartHandler/FanartHandler.cs	(revision 270)
+++ trunk/FanartHandler/FanartHandler.cs	(working copy)
@@ -1790,6 +1790,7 @@
                 }
                 Microsoft.Win32.SystemEvents.PowerModeChanged += new Microsoft.Win32.PowerModeChangedEventHandler(OnSystemPowerModeChanged);
                 GUIWindowManager.OnActivateWindow += new GUIWindowManager.WindowActivationHandler(GuiWindowManagerOnActivateWindow);
+                GUIWindowManager.Receivers += new SendMessageHandler(GUIWindowManager_OnNewMessage);
                 g_Player.PlayBackStarted += new MediaPortal.Player.g_Player.StartedHandler(OnPlayBackStarted);
                 g_Player.PlayBackEnded += new MediaPortal.Player.g_Player.EndedHandler(OnPlayBackEnded);
                 
@@ -1833,6 +1834,38 @@
             }
         }               
 
+        private void GUIWindowManager_OnNewMessage(GUIMessage message)
+        {
+          switch (message.Message)
+          {
+            case GUIMessage.MessageType.GUI_MSG_VIDEOINFO_REFRESH:
+              {
+                //EmptyAllFanartHandlerProperties();
+                //UpdateDirectoryTimer("All");
+                //refreshTimer.Start();  
+                //FS.RefreshGenericSelectedProperties("movie", ref FS.ListSelectedMovies, "Movie Scraper", ref FS.CurrSelectedMovie, ref FS.CurrSelectedMovieTitle);
+                //UpdateDummyControls();
+                
+                //FS.UpdateProperties();
+                //if (refreshTimer != null && !refreshTimer.Enabled)
+                //{
+                //  refreshTimer.Start();
+                //}
+                logger.Info("VideoInfo refresh detected: Refreshing fanarts.");
+                logger.Info("Refreshing local fanart for Movies is starting.");
+                //string path = Config.GetFolder(Config.Dir.Thumbs) + @"\Skin FanArt\UserDef\movies";
+                //FanartHandlerSetup.Fh.SetupFilenames(path, "*.jpg", "Movie User", 0);
+                string path = Config.GetFolder(Config.Dir.Thumbs) + @"\Skin FanArt\Scraper\movies";
+                FanartHandlerSetup.Fh.SetupFilenames(path, "*.jpg", "Movie Scraper", 0);
+                FanartHandlerSetup.Fh.SyncPointDirectoryUpdate = 1;
+                Utils.GetDbm().HTAnyMovieFanartUser = null; //20200429
+                Utils.GetDbm().HTAnyMovieFanartScraper = null; //20200429
+                FanartHandlerSetup.Fh.SyncPointDirectoryUpdate = 0;
+                logger.Info("Refreshing local fanart for Movies is done.");
+                break;
+              }
+          }
+        }
 
             
         private void OnSystemPowerModeChanged(object sender, Microsoft.Win32.PowerModeChangedEventArgs e) 
Index: trunk/FanartHandler/FanartSelected.cs
===================================================================
--- trunk/FanartHandler/FanartSelected.cs	(revision 270)
+++ trunk/FanartHandler/FanartSelected.cs	(working copy)
@@ -205,30 +205,30 @@
                     {
                         FanartHandlerSetup.Fh.SelectedItem = GUIPropertyManager.GetProperty("#selecteditem2");
                     }
-                    else if (GUIWindowManager.ActiveWindow == 2003 || GUIWindowManager.ActiveWindow == 6 || GUIWindowManager.ActiveWindow == 25)
+                    else if (GUIWindowManager.ActiveWindow == 2003 || // VideoInfo
+                             GUIWindowManager.ActiveWindow == 6 ||    // Videos (sharev view)
+                             GUIWindowManager.ActiveWindow == 25 ||   // VideoTitle
+                             GUIWindowManager.ActiveWindow == 614 ||  // VideoArtistInfo
+                             GUIWindowManager.ActiveWindow == 28)     // VideoPlaylist
                     {
-                        string _movieid = GUIPropertyManager.GetProperty("#movieid");
-                        if (_movieid == null || _movieid == string.Empty || _movieid == "-1")
+                      string _movieid = GUIPropertyManager.GetProperty("#movieid");
+                      if (string.IsNullOrEmpty(_movieid) || _movieid == "-1")
+                      {
+                        if (GUIWindowManager.ActiveWindow == 2003)
                         {
-                            if (GUIWindowManager.ActiveWindow == 2003)
-                            {
-                                FanartHandlerSetup.Fh.SelectedItem = GUIPropertyManager.GetProperty("#title");
-                            }
-                            else
-                            {
-                                FanartHandlerSetup.Fh.SelectedItem = GUIPropertyManager.GetProperty("#selecteditem");
-                            }
+                          FanartHandlerSetup.Fh.SelectedItem = GUIPropertyManager.GetProperty("#title");
                         }
                         else
                         {
-                            // New
-                            FanartHandlerSetup.Fh.SelectedItem = _movieid;
+                          FanartHandlerSetup.Fh.SelectedItem = GUIPropertyManager.GetProperty("#selecteditem");
                         }
+                      }
+                      else
+                      {
+                        // New
+                        FanartHandlerSetup.Fh.SelectedItem = _movieid;
+                      }
                     }
-                    //else if (GUIWindowManager.ActiveWindow == 2003)
-                    //{
-                    //    FanartHandlerSetup.Fh.SelectedItem = GUIPropertyManager.GetProperty("#title");
-                    //}
                     else if (GUIWindowManager.ActiveWindow == 9813)
                     {
                         FanartHandlerSetup.Fh.SelectedItem = GUIPropertyManager.GetProperty("#TVSeries.Episode.SeriesName");
@@ -273,7 +273,7 @@
 
                     if (FanartHandlerSetup.Fh.SelectedItem != null && FanartHandlerSetup.Fh.SelectedItem.Trim().Length > 0)
                     {
-                        if ((GUIWindowManager.ActiveWindow == 4755 && GUIWindowManager.GetWindow(4755).GetControl(51).IsVisible) || ((GUIWindowManager.ActiveWindow == 6 || GUIWindowManager.ActiveWindow == 25) && FanartHandlerSetup.Fh.SelectedItem.Equals("..", StringComparison.CurrentCulture) == true))
+                        if ((GUIWindowManager.ActiveWindow == 4755 && GUIWindowManager.GetWindow(4755).GetControl(51).IsVisible) || ((GUIWindowManager.ActiveWindow == 25) && FanartHandlerSetup.Fh.SelectedItem.Equals("..", StringComparison.CurrentCulture)))
                         {
                             //online videos or myvideo, do not update if in details view  
                         }
@@ -383,7 +383,11 @@
                             IncreaseCurrCount();
                         }
                     }
-                    else if ((GUIWindowManager.ActiveWindow == 4755 && GUIWindowManager.GetWindow(4755).GetControl(51).IsVisible) || ((GUIWindowManager.ActiveWindow == 6 || GUIWindowManager.ActiveWindow == 25) && FanartHandlerSetup.Fh.SelectedItem.Equals("..", StringComparison.CurrentCulture) == true))
+                    else if (FanartHandlerSetup.Fh.SelectedItem != null && 
+                      ((GUIWindowManager.ActiveWindow == 4755 && 
+                        GUIWindowManager.GetWindow(4755).GetControl(51).IsVisible) || 
+                      ((GUIWindowManager.ActiveWindow == 25) && 
+                        FanartHandlerSetup.Fh.SelectedItem.Equals("..", StringComparison.CurrentCulture))))
                     {
                         //online videos or myvideo, do not update if in details view
                     }
